#include "pairs.hh"

Level Iceman =
{
	1, // level number
	"Iceman",

	// screens:
	{
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "        Y       "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,LevelBegin| Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "R               "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"............####"   "                "
		"............####"   "           R    "
		"....############"   "                "
		"....############"   "   R            "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"....######......"   "                "
		"....######......"   "   R            "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~~~~~~~~~~~~~"   "               i"
		"~~~~MM~~~~MM~~~~"   "                "
		"~~~~MM~~~~MM~~~~"   "         f      "
		"====MM====MM===="   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~MM~~~~MM~~~~"   "                "
		"~~~~MM~~~~MM~~~~"   "         f      "
		"====MM====MM===="   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~~~~~~~~~~~~~"   "                "
		"~~~~MM~~~~MM~~~~"   "                "
		"~~~~MM~~~~MM~~~~"   "         f      "
		"====MM====MM===="   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"~~~~~~~~~~~~####"   "                "
		"~~~~~~~~~~~~####"   "                "
		"~~~~~~~~########"   "                "
		"~~~~~~~~########"   "       f        "
		"~~~~############"   "                "
		"~~~~############"   "                "
		"====############"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"....######......"   "                "
		"....######......"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "        i       "
		, 0 // monster graphics index
		,Right},
		{
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"######  ####VV##"   "                "
		"######  ####VV##"   "                "
		"######  ####VV##"   "                "
		"####      ##VV##"   "                "
		"####      ##VV##"   "    c           "
		"            VV##"   "                "
		"            VV##"   "E c             "
		"############VV##"   "                "
		"############VV##"   "                "
		"############VV##"   "                "
		, 0 // monster graphics index
		,Down},
		{
		"##          VV##"   "                "
		"##          VV##"   "                "
		"##          VV##"   "                "
		"##VV##      VV##"   "                "
		"##VV##        ##"   "                "
		"##VV##        ##"   "                "
		"##VV##        ##"   "                "
		"##VV##        ##"   "                "
		"##VV##        ##"   "                "
		"##VV##        ##"   "                "
		"##VV##        ##"   "                "
		"##VV##        ##"   "                "
		"##VV##~~~~~~~~##"   "        Y       "
		"##VV##~~~~~~~~##"   "           f    "
		"##VV############"   "                "
		"##VV############"   "                "
		, 1 // monster graphics index
		,Down| RestartPointA},
		{
		"##VV##        .."   "                "
		"##VV##        .."   "                "
		"##VV          .."   "                "
		"##VV          .."   "                "
		"##            .."   "                "
		"##            .."   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"####~~~~~~~~~~##"   "                "
		"####~~~~~~~~~~##"   "         f      "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"....######......"   "                "
		"....######......"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "    L           "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "          L    L"
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "         P    L "
		"........##......"   "                "
		"........##......"   "      L         "
		"........##......"   "                "
		"........##......"   "                "
		"........##......"   "                "
		"........##......"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "       i        "
		"................"   "          L     "
		"................"   "               L"
		"................"   "    L           "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		, 1 // monster graphics index
		,Right},
		{
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"..............##"   "                "
		"############VV##"   "                "
		"############VV##"   "                "
		"############VV##"   "                "
		"############VV##"   "                "
		"############VV##"   "                "
		"####        VV##"   "                "
		"####        VV##"   "    U           "
		"############VV##"   "                "
		"############VV##"   "                "
		"############VV##"   "i               "
		, 1 // monster graphics index
		,Down},
		{
		"############VV##"   "                "
		"############VV##"   "                "
		"############VV##"   "                "
		"############VV##"   "                "
		"##          VV##"   "                "
		"##          VV##"   "                "
		"##          VV##"   "                "
		"##          VV##"   "   pp pe ee     "
		"############VV##"   "                "
		"############VV##"   "                "
		"##            ##"   "                "
		"##            ##"   "                "
		"##VV############"   "                "
		"##VV############"   "                "
		"##VV############"   "                "
		"##VV############"   "                "
		, 2 // monster graphics index
		,Down},
		{
		"##VV            "   "                "
		"##VV            "   "                "
		"##VV            "   "                "
		"##VV            "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "                "
		"##              "   "              t "
		"##              "   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 2 // monster graphics index
		,Right},
		{
		"             ###"   "                "
		"             ###"   "                "
		"             ###"   "                "
		"             ###"   "                "
		"             ###"   "                "
		"             ###"   "                "
		"              DD"   "              SS"
		"              DD"   "              SS"
		"              DD"   "              SS"
		"              DD"   "              SS"
		"          ######"   "                "
		"          ######"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 2 // monster graphics index
		,Shutter},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"################"   "                "
		"################"   "                "
		"                "   "                "
		"                "   "                "
		"                "   "                "
		"                "   "        Y       "
		"################"   "               i"
		"################"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		, 2 // monster graphics index
		,RestartPointB| Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"################"   "                "
		"################"   "                "
		"                "   "                "
		"                "   "                "
		"                "   "                "
		"                "   "                "
		"################"   "                "
		"################"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		, 2 // monster graphics index
		,Right},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"################"   "                "
		"################"   "                "
		"               D"   "               S"
		"               D"   "               S"
		"               D"   "               S"
		"               D"   "               S"
		"################"   "                "
		"################"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "              i "
		, 2 // monster graphics index
		,Shutter},
		{
		"################"   "                "
		"################"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"#              #"   "                "
		"               #"   "                "
		"               #"   "                "
		"               #"   "                "
		"               #"   "                "
		"#              #"   "                "
		"#              #"   "            !   "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 3 // monster graphics index
		,End},
	},

	// palette
	{
		15, 32, 33, 17, 
		15, 32, 60, 44, 
		15, 32, 33, 44, 
		15, 48,  9, 28, 

		15, 44, 17, 15, 
		15, 32, 56, 15, 
		15, 48, 42, 15, 
		15, 48, 38, 15, 

		15, 32, 33, 17, 
		15, 32, 60, 44, 
		15, 32, 33, 44, 
		15, 48, 16, 32, 
	},

	// after doors palette
	{
		15, 32, 33, 17, 
		15, 32, 60, 44, 
		15, 32, 33, 44, 
		15, 32,  9, 28, 

	},

	// actives
	{
		Active( 0, 10, 0x60,0x90, 0x70,0xA0 ),
		Active( 0, 10, 0x80,0x30, 0x90,0x40 ),
		Active( 0, 10, 0x80,0x80, 0x90,0x90 ),
		Active( 0, 10, 0x80,0xB0, 0x90,0xC0 ),
		Active( 0, 10, 0xA0,0x60, 0xB0,0x70 ),
		Active( 0, 10, 0xB0,0xA0, 0xC0,0xB0 ),
		Active( 0, 10, 0xD0,0x80, 0xE0,0x90 ),
		Active( 0, 11, 0x20,0x50, 0x30,0x60 ),
		Active( 0, 11, 0x30,0x90, 0x40,0xA0 ),
		Active( 0, 11, 0x50,0x70, 0x60,0x80 ),
		Active( 0, 11, 0x60,0xA0, 0x70,0xB0 ),
		Active( 0, 11, 0x70,0x30, 0x80,0x40 ),
		Active( 0, 11, 0x70,0x60, 0x80,0x70 ),
		Active( 0, 11, 0x90,0x70, 0xA0,0x80 ),
		Active( 0, 11, 0x90,0xB0, 0xA0,0xC0 ),
		Active( 0, 11, 0xA0,0x90, 0xB0,0xA0 ),
		Active( 0, 11, 0xB0,0x30, 0xC0,0x40 ),
		Active( 0, 11, 0xC0,0xB0, 0xD0,0xC0 ),
	},

	// enemies
	{
		Enemy( 4, 0x80,0x02, 0xFF ),
		Enemy( 4, 0x82,0xFE, 0x1F ),
		Enemy( 8, 0x00,0x00, 0xFF ),
		Enemy( 10, 0xE0,0x80, 0x10 ),
		Enemy( 11, 0xE0,0x80, 0x10 ),
	},

	// level gfx (id, count) (max 15); id is block*4+bank
	{
		{ 0x40, 8 }, { 0xA2, 3 }, { 0x76, 1 }, { 0x72, 1 }, 
		{ 0xE2, 1 }, { 0xD8, 1 }, { 0x5E, 1 }, { 0xC0, 8 }, 
		{ 0x61, 8 }, 
	},

	// monster gfx tables (max 11) (5 tiles, 2*3bytepalette)
	{
		{ { 0xA2, 0xA6, 0xAA, 0x76, 0x72, }, { 48,42,15, 48,38,15,} },
		{ { 0xD6, 0xB6, 0xBA, 0x76, 0x72, }, { 44,17,15, 48,38,15,} },
		{ { 0x6E, 0xC2, 0xC6, 0x76, 0x72, }, { 48,21,15, 48,38,15,} },
		{ { 0xA0, 0xA4, 0xA8, 0xAC, 0x46, }, { 32,33,15, 48,38,15,} },
	},

	0x00, // Arrival input

	IcemanAscii, IcemanChar
};
