#include "pairs.hh"

Level Elecman =
{
	4, // level number
	"Elecman",

	// screens:
	{
		{
		"RR           |RR"   "                "
		"RR           |RR"   "                "
		"RR           |RR"   "                "
		"RR           |RR"   "                "
		"RR          ##RR"   "                "
		"RR          ##RR"   "                "
		"RR         ###RR"   "                "
		"RR            RR"   "             f  "
		"RR       #####RR"   "                "
		"RR            RR"   "                "
		"RR######      RR"   "                "
		"RR            RR"   "                "
		"RR            RR"   "        Y       "
		"################"   "                "
		"################"   "                "
		"################"   "                "
		, 0 // monster graphics index
		,Up| LevelBegin},
		{
		"RR |          RR"   "                "
		"RR |          RR"   "                "
		"RR |          RR"   "                "
		"RR |          RR"   "                "
		"RR |          RR"   "                "
		"RR ##         RR"   "             E  "
		"RR ##       ##RR"   "                "
		"RR ##         RR"   "     f          "
		"RR ###A       RR"   "                "
		"RR            RR"   "         f      "
		"RR      #A    RR"   "                "
		"RR            RR"   "                "
		"RR            RR"   "                "
		"###|#  ######|RR"   "                "
		"###|#  ######|RR"   "                "
		"###|#  ######|RR"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"RR |          RR"   "                "
		"RR |          RR"   "                "
		"RR |          RR"   "                "
		"RR |          RR"   "                "
		"RR |          RR"   "                "
		"RR ##         RR"   "                "
		"RR ##       ##RR"   "                "
		"RR ##         RR"   "                "
		"RR ###A       RR"   "         -      "
		"RR            RR"   "                "
		"RR      #A    RR"   "            =   "
		"RR            RR"   "                "
		"RR            RR"   "                "
		"###|#  ######|RR"   "                "
		"###|#  ######|RR"   "                "
		"###|#  ######|RR"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR |###|      RR"   "                "
		"RR |###|      RR"   "                "
		"RR |###|      RR"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR     |      RR"   "                "
		"RR |###|      RR"   "                "
		"RR |###|      RR"   "                "
		"RR |###|      RR"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"RR |         |RR"   "                "
		"RR |         |RR"   "                "
		"RR |         |RR"   "                "
		"RR #         |RR"   "                "
		"RR           |RR"   "                "
		"RR           #RR"   "                "
		"RR            RR"   "                "
		"RR            RR"   "                "
		"RR            RR"   "                "
		"RR            RR"   "                "
		"RR       #    RR"   "                "
		"RR            RR"   "                "
		"RR            RR"   "                "
		"RR     |##    RR"   "                "
		"RR     |##    RR"   "                "
		"RR     |##    RR"   "                "
		, 1 // monster graphics index
		,Up},
		{
		"...|....########"   "                "
		"...|....########"   "                "
		"...|......######"   "                "
		"...|......##$$##"   "               "
		"...|......######"   "                "
		"...|......######"   "                "
		"#######|########"   "                "
		"##$$###|####$$##"   "               "
		"#######|  ######"   "                "
		"##$$###|  ######"   "                "
		"########      RR"   "                "
		"RR            RR"   "                "
		"RR           |RR"   "     ppp        "
		"RR |####     |RR"   "                "
		"RR |         |RR"   "                "
		"RR |         |RR"   "                "
		, 1 // monster graphics index
		,Up},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "        Y       "
		".....###########"   "                "
		".....#$$####$$.."   "               "
		"...|##########.."   "               E"
		"...|##$$####$$##"   "               "
		"...|############"   "                "
		"...|############"   "                "
		, 0 // monster graphics index
		,RestartPointA| Right},
		{
		"............|..."   "                "
		"............|..."   "                "
		"............|..."   "                "
		"............|..."   "                "
		"................"   "                "
		"................"   "                "
		".............#.."   "                "
		"..........#....."   "                "
		"................"   "                "
		"................"   "                "
		"...........#...."   "                "
		"................"   "                "
		".........#......"   "                "
		"..#...#........."   "                "
		"................"   "                "
		"................"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"....|.##|     ##"   "                "
		"....|.##|     ##"   "                "
		"....|.##|     ##"   "                "
		"....|.##|     ##"   "                "
		"....|.##|     ##"   "                "
		"....|.##|     ##"   "                "
		"....|.##|     ##"   "                "
		"....|.##|     ##"   "                "
		"....|.##|     ##"   "                "
		"....|.##|     ##"   "                "
		"......        ##"   "                "
		"......        ##"   "                "
		"############|###"   "                "
		"############|###"   "                "
		"############|###"   "                "
		"############|###"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"...|....##  | ##"   "                "
		"...|....$$  | ##"   "                "
		"...|....##  | ##"   "                "
		"...|....##  | A#"   "  f         -   "
		"..##....##|#####"   "                "
		"........$$|#####"   "      f         "
		"......####|   ##"   "                "
		"........##|   A#"   "   f        =   "
		"..##....####| ##"   "                "
		"........$$##| ##"   "               "
		"......##    | ##"   "                "
		"......##    | ##"   "                "
		"..##|###|#######"   "                "
		"..##|###|#######"   "                "
		"..##|###|#######"   "                "
		"..##|###|#######"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"....|...##  | ##"   "                "
		"....|...##  | ##"   "                "
		"....|...##  | ##"   "                "
		"........$$  | ##"   "               "
		"........##  | ##"   "                "
		"........##  | ##"   "                "
		"......####    ##"   "                "
		"........$$    ##"   "                "
		"..##....GG    ##"   "                "
		"........GG    ##"   "                "
		"......######|###"   "                "
		"......##$$  | ##"   "               "
		"..#|######  | ##"   "                "
		"..#|######  | ##"   "                "
		"..#|######  | ##"   "                "
		"..#|######  | ##"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"...|........|.##"   "                "
		"...|........|.##"   "                "
		"...|........|.##"   "                "
		"...|........|.##"   "                "
		"......##########"   "                "
		"..##..##########"   "                "
		"......GGGGGG..##"   "                "
		"......GGGGGG..##"   "             M  "
		"..|#############"   "                "
		"..|#############"   "                "
		"..|...........##"   "                "
		"..|...........##"   "                "
		"..##|#######|###"   "                "
		"..##|#######|###"   "                "
		"..##|#######|###"   "                "
		"..##|#######|###"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"....|...##  | ##"   "                "
		"....|...##  | ##"   "                "
		"....|...##  | ##"   "                "
		"....|...$$  | ##"   "               "
		"..##|...##  | ##"   "                "
		"........##  | A#"   "      f     -   "
		"......####  | ##"   "                "
		"........$$  | ##"   "   f            "
		"..|###..GG  | ##"   "                "
		"..|.....GG  | A#"   "            =   "
		"..|.......##| ##"   "                "
		"..|.......##| ##"   "      f         "
		"###|..######|###"   "                "
		"###|########|###"   "                "
		"###|########|###"   "                "
		"###|########|###"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"..|..#####  | ##"   "                "
		"..|..#####  | ##"   "                "
		"..|..#####  | ##"   "                "
		"..|..###$$  | A#"   "            -   "
		"..|..#####  | ##"   "                "
		"..|..A####  | ##"   "   -            "
		"..|..##     | ##"   "                "
		"..|..##     | ##"   "                "
		"..|..##|########"   "                "
		"..|..A#|########"   "   =            "
		"..|..##|      ##"   "                "
		"..|..##|      ##"   "                "
		"..##|#######|###"   "                "
		"..##|#######|###"   "                "
		"..##|#######|###"   "                "
		"..##|#######|###"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"...|......######"   "                "
		"...|......######"   "                "
		"...|..........##"   "                "
		"...|..........##"   "                "
		"...|..######..##"   "                "
		"...|..######..##"   "             j  "
		"......##    GG##"   "                "
		"......A#    GG##"   "    -    j      "
		"..|#####|#######"   "                "
		"..|#####|#######"   "                "
		"..|...##|     ##"   "                "
		"..|...A#|     ##"   "    =           "
		"..|...######|###"   "                "
		"..|...######|###"   "                "
		"..|...######|###"   "                "
		"..|...######|###"   "                "
		, 2 // monster graphics index
		,Up},
		{
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		"................"   "                "
		".....###########"   "                "
		".....#$$####$$.."   "                "
		"...|##########.."   "                "
		"...|##$$####$$##"   "              "
		"...|############"   "                "
		"...|############"   "                "
		, 3 // monster graphics index
		,Right},
		{
		"............|..."   "                "
		"............|..."   "                "
		"............|..."   "                "
		"............|..."   "                "
		"................"   "                "
		"................"   "                "
		".............#.."   "                "
		"..........#....."   "                "
		"................"   "                "
		"................"   "                "
		"...........#...."   "                "
		"................"   "                "
		".........#......"   "                "
		"..#...#........."   "                "
		"................"   "                "
		"................"   "                "
		, 3 // monster graphics index
		,Up},
		{
		"..|#############"   "                "
		"..|#########$$##"   "                "
		"..|.......######"   "                "
		"..|.......##$$##"   "               "
		"..|.......######"   "                "
		"..|.......##$$##"   "               "
		"............####"   "                "
		"............$$##"   "                "
		"...A..........##"   "      -         "
		"..............##"   "                "
		".....A........##"   "        =       "
		"..............##"   "                "
		"..............##"   "                "
		"############|.##"   "                "
		"############|.##"   "                "
		"############|.##"   "                "
		, 0 // monster graphics index
		,Up},
		{
		".............###"   "                "
		".............###"   "                "
		".............###"   "                "
		".............###"   "                "
		".............###"   "                "
		".............###"   "                "
		"..............DD"   "              SS"
		"..............DD"   "              SS"
		"..............DD"   "           t  SS"
		"..............DD"   "              SS"
		"..........######"   "                "
		"..........##$$##"   "               "
		"..|#############"   "                "
		"..|#####$$##$$##"   "               "
		"..|#############"   "                "
		"..|#############"   "                "
		, 4 // monster graphics index
		,Shutter},
		{
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		"######  | ##,,,,"   "                "
		"######  | ##,,,,"   "                "
		"          ##,,,,"   "                "
		"          ##,,,,"   "                "
		"          ##,,,,"   "                "
		"          ##,,,,"   "        Y       "
		"############,,,,"   "                "
		"############,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		",,,,,,,,,,,,,,,,"   "                "
		, 0 // monster graphics index
		,Up| RestartPointB},
		{
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | A#,,,,"   "        -       "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | A#,,,,"   "        =       "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | A#,,,,"   "        -       "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		, 0 // monster graphics index
		,Up},
		{
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | A#,,,,"   "        -       "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | A#,,,,"   "        =       "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | ##,,,,"   "                "
		",,,,##  | A#,,,,"   "        -       "
		",,,,##  | ####,,"   "                "
		",,,,##  | ,,,,,,"   "                "
		",,,,##  | ,,,,,,"   "                "
		",,,,##  |####|,,"   "                "
		, 0 // monster graphics index
		,Up},
		{
		"################"   "                "
		"################"   "                "
		"R              R"   "                "
		"R              R"   "                "
		"R              R"   "                "
		"R              R"   "                "
		"R              R"   "                "
		"R              R"   "                "
		"R              R"   "                "
		"R              R"   "                "
		"##GGGG         R"   "                "
		"##GGGG         R"   "            !   "
		"######  | ######"   "                "
		"######  | ######"   "                "
		"######  | ######"   "                "
		"######  | ######"   "                "
		, 5 // monster graphics index
		,End},
	},

	// palette
	{
		15, 32, 39, 23, 
		15, 32, 39, 33, 
		15, 15, 15, 12, 
		15, 40, 24,  8, 

		15, 44, 17, 15, 
		15, 32, 56, 15, 
		15, 48, 42, 15, 
		15, 48, 38, 15, 

		15, 32, 39, 23, 
		15, 32, 39, 33, 
		15, 15, 15, 12, 
		15, 32, 16,  0, 
	},

	// after doors palette
	{
		15, 32, 39, 23, 
		15, 32, 39, 33, 
		15, 15, 15, 12, 
		15, 40, 41, 24, 

	},

	// actives
	{
		Active( 0, 5, 0x40,0x50, 0x50,0x60 ),
		Active( 0, 5, 0x60,0x70, 0x70,0x80 ),
		Active( 0, 5, 0x90,0x70, 0xA0,0x80 ),
		Active( 0, 5, 0xB0,0x50, 0xC0,0x60 ),
		Active( 0, 6, 0x90,0xC0, 0xA0,0xD0 ),
		Active( 0, 6, 0xA0,0xC0, 0xB0,0xD0 ),
		Active( 0, 6, 0xB0,0xC0, 0xC0,0xD0 ),
		Active( 0, 6, 0xC0,0xC0, 0xD0,0xD0 ),
	},

	// enemies
	{
		Enemy( 3, 0x10,0xFF, 0x6 ),
		Enemy( 4, 0x10,0xFF, 0x6 ),
		Enemy( 5, 0x10,0x80, 0x10 ),
		Enemy( 6, 0x10,0x80, 0x10 ),
		Enemy( 9, 0x10,0xFF, 0x6 ),
		Enemy( 11, 0x10,0xFF, 0x6 ),
	},

	// level gfx (id, count) (max 15); id is block*4+bank
	{
		{ 0x40, 8 }, { 0x6E, 1 }, { 0x92, 1 }, { 0x96, 1 }, 
		{ 0x62, 1 }, { 0x72, 1 }, { 0xE2, 1 }, { 0xD8, 1 }, 
		{ 0x5E, 1 }, { 0xC0, 8 }, { 0xC1, 8 }, 
	},

	// monster gfx tables (max 11) (5 tiles, 2*3bytepalette)
	{
		{ { 0x6E, 0x92, 0x96, 0x66, 0x72, }, { 48,42,15, 48,38,15,} },
		{ { 0x8A, 0xC2, 0xC6, 0x66, 0x72, }, { 48,39,15, 48,38,15,} },
		{ { 0x8A, 0x7E, 0xC6, 0x66, 0x72, }, { 48,21,15, 48,38,15,} },
		{ { 0x6E, 0x92, 0x96, 0x66, 0x72, }, { 48,38,15, 48,38,15,} },
		{ { 0x6E, 0xC2, 0xC6, 0x66, 0x72, }, { 48,21,15, 48,38,15,} },
		{ { 0xB0, 0xB4, 0xB8, 0xBC, 0x52, }, { 39,21,15, 48,38,15,} },
	},

	0x10, // Arrival input

	ElecmanAscii, ElecmanChar
};
